Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.servlet
Class HttpSessionHandler

    java.lang.Object
      |
      +--org.apache.commons.jxpath.servlet.HttpSessionHandler

All Implemented Interfaces:
  DynamicPropertyHandler

public class HttpSessionHandler
extends java.lang.Object
implements DynamicPropertyHandler

Implementation of the DynamicPropertyHandler interface that provides access to attributes of a HttpSession.

Version:
  $Revision: 1.3 $ $Date: 2003/01/11 05:41:26 $
Author:
  Dmitri Plotnikov

Constructor Summary
`HttpSessionHandler()`

Method Summary
`java.lang.Object` | `getProperty(java.lang.Object session, java.lang.String property)` Returns the value of the specified dynamic property.
`java.lang.String[]` | `getPropertyNames(java.lang.Object session)` Returns a list of dynamic property names for the supplied object.
`void` | `setProperty(java.lang.Object session, java.lang.String property, java.lang.Object value)` Modifies the value of the specified dynamic property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpSessionHandler

    public HttpSessionHandler()

Method Detail

### getPropertyNames

    public java.lang.String[] getPropertyNames(java.lang.Object session)

  Description copied from interface: `DynamicPropertyHandler`
  Returns a list of dynamic property names for the supplied object.
  Specified by:
    `getPropertyNames` in interface `DynamicPropertyHandler`

### getProperty

    public java.lang.Object getProperty(java.lang.Object session,
                                        java.lang.String property)

  Description copied from interface: `DynamicPropertyHandler`
  Returns the value of the specified dynamic property.
  Specified by:
    `getProperty` in interface `DynamicPropertyHandler`

### setProperty

    public void setProperty(java.lang.Object session,
                            java.lang.String property,
                            java.lang.Object value)

  Description copied from interface: `DynamicPropertyHandler`
  Modifies the value of the specified dynamic property.
  Specified by:
    `setProperty` in interface `DynamicPropertyHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.